SSWF(1)

NAME
sswf - Compiler of the Scripting SWF Flash movies language

SYNOPSIS
sswf [options] file ...

DESCRIPTION
sswf is a compiler which reads an sswf script from one or more files and generates a Flash movie (a .swf file).

This manual page only gives you the option flags and some other useful information about sswf. It is best to read the SSWF Reference to understand how to write an SSWF script. It is always up to date since I often write it at the same time I'm adding new tags, actions, etc.

OPTIONS
The following options are understood by sswf. It is likely to change in the future though.

-c or --compress
    Request that the output movie be compressed as defined in v6.x specifications. This is equivalent to setting the compress variable to true in the "main" sequence.

-Dvarname[=value]
    Sets the variable varname to value. When value isn't specified, sets the variable to 1.

--debug-memory
    A lot of work has been done on memory management. It should all be freed properly on exit. If you use this option with the DEBUG version it will force a free at the end (it takes time so you really don't have to do it!) If it works (no crash) then you know that the memory was properly used while sswf was running and got all cleaned up. This option only appears in the DEBUG version.

-e name or --encoding=name
    Defines the name of the encoding to use whenever the output file is being generated. Note that this is ignored if the output movie is a version 6 or more since such versions support UTF-8. The problem of older versions (1 through 5) is that the encoding is not specified. The best in these versions is to put the fonts in the output file just to make sure that it works on the target machines. However, whenever you need to include an edit text for users to enter some data, you probably want to specify a system font. In that case, the strings have to have the correct encoding. This is what this command line option is for. Of course, if you can use a version 6 or better animation, do so! (NOTE: this option doesn't define the encoding of input files.)

-h or --help
    Prints out a quick help screen about all the options supported by sswf.

-I [path]
    Specify one or more paths to search for .sswf script files. When used without a path, then the options requests that the internally defined paths be ignored. Watchout, a lone -I should always be followed by another option to work properly or use -I- instead.

--lib-version
    Prints out the sswf library version and exit with an error. The library version may differ from the version of the sswf tool since the library is created as a shared object.

--no-network
    When this flag is used the movie is saved without permissions to use the Internet nor the Intranet when played locally.

-o output or --output=output
    Defines the name of the output file. When no name is specified, the default a.swf is used.

--protect
    When this is used, the output movie includes a TagProtect tag. The movie should therefore not be editable by SWF editors. This is not a guarantee (it is mainly for compliant editors). This is the default. This is equivalent to setting the protect variable to true in the "main" sequence.

--show-bounds
    When you specify this flag, it asks the compiler to add a red rectangle to draw the bounding box of each shape. This is useful if you are guessing where to put the bounding box and want to make sure it is at the right place.

--show-input-filenames
    It can at times be useful to know exactly which files are being loaded by a compiler. This option will print out the filename of each of the files sswf loads as input. Files such as the colors.sswf can be in a different directory than the current directory (such as /usr/include/sswf/script) and this option gives you the opportunity to know that exact path.

--show-input-search
    This option can be used to see in which directories the input files are being searched and in which order these paths are used. You can change the order by adding the default path on the command line with the -I option.

--show-origin
    If you need to rotate a shape, you most certainly want to know where it's origin (center) is located. You can then translate the shape in a sprite so you can rotate the sprite and give the effect that the shape is rotating properly. This flag will force all shapes to have an origin drawn to help you place them as required. --show-output This flag is mainly for lower level debug purposes of sswf. It will print out each node after it has been executed. I suggest you avoid using this flag since it generates thousand of pages of output.

--show-step[=level]
    As the sswf compiler runs it prints out where it is at in the compilation process. You can specify a level (1 by default) to get more or less information. Set the level to 0 to avoid output.

--uncompress
    Request that the output movie be uncompressed. This is the default. This is equivalent to setting the compress variable to false in the "main" sequence.

--unprotect
    When this is used, the output movie won't include a TagProtect tag so the movie can be edited by any SWF editor. This is equivalent in setting the protect variable to false in the "main" sequence.

-nor--use-network
    When this flag is used the movie is saved with permissions to use the Internet or Intranet even when played locally.

--version
    Prints out the sswf version and exit with an error.

ARGUMENTS
All the arguments which don't start with a dash (-) are taken as file names. At this time, because there isn't a way to #include another script within a script, the only way to include another script is to write its name on the command line. Thus all the necessary scripts will be named on the command line as a long list of file names. This will very certainly change in the future.

FILES
When sswf is used without the
    -o option, the system automatically saves the result in the file named a.swf.
Whenever it is necessary to know how to handle a font map, files in
    this directory will be used. Note that these files are also used by the ft2sswf tool. NOTE: I think the iconv library will be used instead.

FILES

The default include paths are (see -I for more info):
    /usr/include/sswf/scripts
    /usr/share/sswf/scripts
    /usr/share/sswf/include/scripts
    /usr/local/share/sswf/scripts
    /usr/local/share/sswf/include/scripts
    /sw/local/share/sswf/scripts
    /sw/local/share/sswf/include/scripts
    /opt/sswf/scripts
    /opt/sswf/include/scripts

SEE ALSO
Alexis' SWF Reference, Alexis Wilke (http://sswf.sourceforge.net/SWFalexref.html)

SSWF Reference Manual, Alexis Wilke (http://sswf.sourceforge.net/ScriptSWF.html)

swf_dump(1), ft2sswf(1), jpg2swf(1)

BUGS

You are welcome to report bugs to me at: alexis_wilke@users.sourceforge.net
    Thank you in advance for the info!

There should be an instruction used to include other scripts from a script.

Any error output should always include a filename and line number.

Many assert()'s should be if()'s instead and return an error instead of stopping the whole process.

Functions should return an error code instead of -1.

VERSION

This manual page is part of version <VERSION> of SSWF.

This file was last updated on <DATE>.

COPYRIGHT
sswf is Copyright (c) 2002-2007 by Made to Order Software Corp.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.